clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::ento::DefaultBool Struct Reference

A helper class which wraps a boolean value set to false by default. More...

`#include "clang/StaticAnalyzer/Core/Checker.h"`

Collaboration diagram for clang::ento::DefaultBool:
[legend]

## Public Member Functions
| DefaultBool ()
| operator bool & ()
| operator const bool & () const
DefaultBool & | operator= (bool b)

## Public Attributes
bool | val

## Detailed Description

A helper class which wraps a boolean value set to false by default.

This class should behave exactly like 'bool' except that it doesn't need to be explicitly initialized.

Definition at line 569 of file Checker.h.

## Constructor & Destructor Documentation

## ◆ DefaultBool()

clang::ento::DefaultBool::DefaultBool | ( |  | ) |
| inline

Definition at line 571 of file Checker.h.

## Member Function Documentation

## ◆ operator bool &()

clang::ento::DefaultBool::operator bool & | ( |  | ) |
| inline

Definition at line 572 of file Checker.h.

## ◆ operator const bool &()

clang::ento::DefaultBool::operator const bool & | ( |  | ) | const
| inline

Definition at line 573 of file Checker.h.

## ◆ operator=()

DefaultBool& clang::ento::DefaultBool::operator= | ( | bool | b | ) |
| inline

Definition at line 574 of file Checker.h.

## Member Data Documentation

## ◆ val

bool clang::ento::DefaultBool::val

Definition at line 570 of file Checker.h.

The documentation for this struct was generated from the following file:

- include/clang/StaticAnalyzer/Core/Checker.h